
/* Header */

.header.content .logo {
    margin: 0;
}

span.action.nav-toggle {
    display: none;
}

.header.content .logo {
    padding-left: 0;
}

.page-header {
    border-bottom: 1px solid var(--color-branding-primary);
    margin-bottom: 0;
    z-index: 99;
}

.header.content {
    padding: 0rem 2rem 1rem;
}

@media only screen and (min-width: 768px) {

    .header.content {
        padding: 2rem;
    }
    
}

/* Home page top banner */

.card.hp-top-banner {
    background: unset;
    margin-top: 0;
}

.hp-top-banner h1 {
    margin-bottom: var(--spacing__vertical--2);
    font-weight: var(--font-weight-bold);
}

.card.hp-top-banner {
    padding: 0;
    max-width: 100%;
}

.card.hp-top-banner .copy {
    padding: 2rem;
    background-color: rgba(255,255,255,.9);
}

.hp-top-banner h1 {
    margin-bottom: var(--spacing__vertical--2);
    font-weight: var(--font-weight-normal);
}

.hp-top-banner h1 span {
    color: var(--color-branding-secondary);
}

.hp-top-banner p {
    font-size: var(--text-h3-size);
}

.hp-top-banner span {
    color: var(--color-branding-primary);
    font-weight: bold;
}

.hp-top-banner a {
    text-decoration: underline;
}

@media only screen and (min-width: 768px) {

    .card.hp-top-banner {
        width: 124rem;
        max-width: var(--width-content-max-calc);
    }

    .card.hp-top-banner .copy {
        padding: 2rem 2rem 2rem 0;
    }

    .card.hp-top-banner .copy {
        padding: 2rem;
        background-color: unset;
    }
    
    .card.hp-top-banner {
        margin-top: 0;
        background-position: center center;
        background-size: cover;
        width: var(--width-content-max);
        margin: 4rem auto 2rem;
    }

}

/* PA Launcher */

.pa-launcher-wrapper {
    background: var(--color-light-gray);
    padding: 0;
    color: var(--color-branding-tertiary);
}

div#information-modal,
.survey-product-listing {
    width: 1px;
}

.card.pa-launcher {
    display: flex;
    align-items: center;
    background-image: unset;
    flex-direction: column;
    margin-top: 0;
    
}

.pa-launcher-button {
    display: flex;
    width: fit-content;
    min-width: 30rem;
    justify-content: center;
    background: unset;
}

.card.pa-launcher .copy {
    background-color: unset;
    text-align: left;
}

.modals-overlay {
    z-index: 9999999 !important;
}

a.underline-link.modal {
    cursor: pointer;
}

@media only screen and (min-width: 768px) {

    .card.pa-launcher {
        display: flex;
        flex-direction: row;
    }

}

/* HPWH Trust signals */

.hpwh .trust-signal-inner {
    display: flex;
    flex-direction: column;
    border-top: unset;
    border-bottom: unset;
    gap: 1rem;
}

.hpwh .trust-signal-inner h3 {
    color: var(--color-branding-secondary);
    margin: 0 0 .5rem;
}

.hpwh .trust-signal-inner p {
    color: var(--color-text)
}

.hpwh .trust-signal-inner > * {
    padding: 2rem 3rem;
    width: 100%;
    box-sizing: border-box;
}

.hpwh .trust-signal-inner a {
    text-decoration: underline;
    color: var(--color-branding-secondary)
}

.hpwh .trust-signal-inner .icon svg {
    fill: var(--color-branding-primary);
}

.hpwh .trust-signal-inner > * {
    background: var(--color-trust-signal-background);
}


.trust-signal-wrapper.hpwh {
    margin-top: 0;
    background: unset;
}

.product.attribute.description h2.copy-title {
    font-size: var(--text-h3-size);
    padding-top: 1.25rem;
}

.product-info-wrapper h2.copy-title {
    border-bottom: 1px solid var(--color-branding-primary);
}

@media only screen and (min-width: 768px) {

    .hpwh .trust-signal-inner {
        display: flex;
        flex-direction: row;
        margin-bottom: 2rem;
    }

    .hpwh .trust-signal-inner > * {
        text-align: left;
        flex-direction: row;
        align-items: center;
        gap: 2rem;
        text-align: left;
    }

    
}

/* Cards */

.card {
    background: unset;
}

/* Product page */

div#tab-label-additional, div#tab-label-description,
.detailed .data.title,
.catalog-product-view .breadcrumbs {
    display: none;
}

.product-info-main .price-box .normal-price span.price, 
.product-info-main .price-box .special-price span.price, 
.product-item .price-box .special-price span.price {
    font-size: var(--text-h2-size);
    color: var(--color-price);
    font-weight: var(--font-weight-bold);
}

span.old-price:before {
    content: 'Regular Price';
}

.old-price, .old.price {
    text-decoration: unset;
}

.old-price span.price {
    text-decoration: line-through;
    font-weight: var(--font-weght-bold) !important;
}

.product-info-main .sale-price-wrapper {
    display: flex;
    gap: 0; 
    flex-direction: column-reverse;
    justify-content: space-evenly;
    align-items: flex-start;
    align-content: flex-start;
     margin-bottom: 1rem;
}

.product-info-main .product.attribute.overview a {
    text-decoration: underline;
}

.swatch-attribute-options {
    display: flex;
    justify-content: space-around;
}

.swatch-option {
    width: 100%;
    border-radius: .5rem;
}

.swatch-attribute.size .swatch-option {
    background: #fff;
    color: var(--color-branding-primary);
    border: 2px solid var(--color-branding-primary);
    text-transform: uppercase;
    font-size: var(--text-small-size);
    line-height: 2.3rem;
}

.swatch-attribute.size .swatch-option.selected {
    background: #f3f9eb;
    color: var(--color-branding-primary);
    border: 2px solid var(--color-branding-primary);
    outline: 2px solid var(--color-branding-primary);
}

.swatch-option:focus {
    box-shadow: unset;
}

.product-info-main .box-tocart .field.qty, 
.product-options-bottom .box-tocart .field.qty {
    display: none;
}

.box-tocart .actions {
    width: 100%;
}

button#product-addtocart-button {
    border-radius: .5rem;
    text-transform: uppercase;
}

div#product-options-wrapper {
    border-top: 1px solid var(--color-branding-primary);
    border-bottom: 1px solid var(--color-branding-primary);
}

.product-info-main .box-tocart, .product-options-bottom .box-tocart {
    display: table;
    width: 100%;
}

button#product-addtocart-button {
    width: 100%;
}

.product-info-main .box-tocart, .product-options-bottom .box-tocart {
    margin: 2.5rem 0 0;
}

.product-info-wrapper h2.copy-title::after {
    top: 1.25rem;
}

.catalog-product-view .columns .column.main {
    padding-bottom: 0;
}

/* Why Buy block */

.why-buy-reasons {
    display: flex;
    gap: 2rem;
    flex-direction: column;
}

.why-buy-reasons > * {
    background: #E8E7F0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem;
    text-align: center;
}

.why-buy-reasons h3 {
    font-weight: bold;
    color: var(--color-branding-secondary);
    margin-bottom: 0;
    font-size: 1.6rem;
    letter-spacing: unset;
}

.product.description .why-buy-header h2 {
    margin-left: 0;
    padding-left: 0;
    margin-bottom: 1.5rem;
}

.product-info-wrapper .icon svg {
    fill: var(--color-branding-primary);
}

.catalog-product-view .page-wrapper {
    min-height: auto;
}

@media only screen and (min-width: 768px) {
    .why-buy-reasons {
        display: flex;
        gap: 2rem;
        flex-wrap: nowrap;
        flex-direction: row;
    }

    .why-buy-reasons > * {
        background: var(--color-light-gray);;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 2rem;
        text-align: center;
        width: calc(50% - 5rem);
    }
}


/* What to expect */

.modal-popup .modal-title {
    font-weight: bold;
}

.modal-popup .modal-header {
    padding-left: 2rem;
}

.what-to-expect ul {
    margin-left: 2rem;
}

/* Product Advisor */

.pa-launcher-button {
    padding: 0 2rem 2rem;
}

a.quiz_launcher.ga4_quiz_link.action.primary {
    font-size: var(--text-h3-size);
}

aside.modal-slide.quiz-drawer._inner-scroll._show {
    width: 100rem;
    max-width: 85%;
    left: auto;
}

@media only screen and (min-width: 768px) {

    .pa-launcher-button {
        padding: 2rem;
    }

}

/* Footer */

.page-bottom,
.page-footer {
    background: var(--color-light-gray);
}

.logo-block-wrapper {
    background: #ffffff;
    padding: 2rem;
    margin-bottom: 4rem;
}

.logo-block-wrapper h3 {
    text-align: center;
    margin-top: 0;
    text-transform: uppercase;
    font-size: var(--text-small-size);
    margin-bottom: 3rem;
}

.logo-block {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 2rem;
    width: 124rem;
    max-width: calc(100% - 4rem);
    margin: auto;
    flex-wrap: wrap;
}

.logo-block img {
    height: auto;
    width: auto;
    max-width: 100%;
    max-height: 3rem;
    display: block;
}


.page-wrapper > .page-bottom {
    background: var(--color-light-gray);
    max-width: 100%;
    width: 100%;
    padding: 5rem 0 0;
}

.footer-links {
    display: flex;
    text-align: left;
    gap: 5rem;
    width: var(--width-content-max);
    max-width: var(--width-content-max-calc);
    margin: 0 auto 2rem;
    flex-direction: column;
}


small.copyright {
    text-align: right;
}


.footer-links .right {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}


@media only screen and (min-width: 768px) {

    .logo-block-wrapper {
        padding: 4rem;
    }

    .logo-block img {
        max-height: 4rem;
    }

    .footer-links {
        display: flex;
        gap: 10rem;
        flex-direction: row;
        margin: auto;
    }

    .footer-links .left {
        width: 75%;
    }

    .footer-links .right {
        width: 25%;
    }


}

/* Gate */

.welcome-index-index .columns .column.main {
    padding-bottom: 0;
}

.welcome-index-index main#maincontent {
    background: var(--color-light-gray);
}

.welcome-index-index .hp-top-banner .copy {
    background: #fff;
}

.gate-wrapper .hp-top-banner {
    display: flex;
    flex-direction: column-reverse;
    background: #ffffff;
    box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.15);
    -webkit-box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.15);
    -moz-box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.15);
    border-radius: 1rem;
    width: auto;
}

@media only screen and (min-width: 768px) {

    .gate-wrapper .img img {
        border-radius: 1rem 1rem 0 0;
    }
    
}

/* Gate form */

.form-container {
    width: calc(100% - 4rem);
    text-align: center;
    margin: 3rem auto 0;
}

h1 {
    color: #003366;
    font-size: 24px;
    margin-bottom: 30px;
}

.form-step {
    border-top: 1px solid #ccc;
    padding-top: 20px;
    margin-top: 20px;
}

.form-step h2 {
    color: #666;
    font-size: 18px;
    font-weight: normal;
    text-align: left;
    margin-bottom: 20px;
}

.step-number {
    color: #8dc63f;
    font-weight: bold;
}

.options-container {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.option-button {
    flex: 1;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 8px;
    background-color: white;
    cursor: pointer;
    text-align: center;
    transition: all 0.3s ease;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.option-button:hover {
    border: 1px solid #8dc63f;
}

.option-button.selected {
    background-color: #8dc63f;
    border-color: #8dc63f;
    color: white;
}

.option-button strong {
    font-size: 18px;
    font-weight: bold;
}

.option-button span {
    font-size: 12px;
}

.logo-grid {
    display: grid;
    gap: 15px;
    justify-content: center;
}

#electric-logos {
    grid-template-columns: repeat(4, 1fr);
}

#gas-logos {
    grid-template-columns: repeat(3, 1fr);
}


.logo-button {
    border: 2px solid #ccc;
    border-radius: 8px;
    padding: 10px;
    background-color: white;
    cursor: pointer;
    transition: all 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70px;
}

.logo-button:hover {
    border-color: #8dc63f;
}

.logo-button.selected {
    background-color: #eaf6da;
    border-color: #8dc63f;
}

.logo-button img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

#accountNumber {
    width: 100%;
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-size: 16px;
    box-sizing: border-box;
}

#submitBtn {
    width: 100%;
    padding: 15px;
    border: none;
    border-radius: 8px;
    font-size: 18px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 30px;
    transition: background-color 0.3s ease;
}

#submitBtn:disabled {
    background-color: #ccc;
    color: #666;
    cursor: not-allowed;
}

#submitBtn:not(:disabled) {
    background-color: #8dc63f;
    color: white;
}

/* Animation styles */
.hidden {
    display: none;
}

.form-step {
    transition: opacity 0.5s ease-in-out;
}

.active-step {
    opacity: 1;
}

.back-button {
    background: none;
    border: none;
    color: #003366;
    font-size: 14px;
    cursor: pointer;
    margin-bottom: 10px;
    margin-right: auto;
    display: block;
    padding: 0;
    text-align: left;
    border: 1px solid var(--color-light-gray);
}

.back-button:focus {
    outline: 2px solid #8dc63f;
}

/* Top ribbon */

.top.ribbon {
    display: flex;
    width: calc(var(--width-content-max) - 2rem);
    max-width: var(--width-content-max-calc);
    margin: auto;
    justify-content: space-between;
    flex-direction: column;
    align-items: right;
    background: unset;
    z-index: 9999;
    position: relative;
}

.top-ribbon-wrapper {
    background: #ffffff;
}

.top.ribbon .right a, .top.ribbon .right a:visited, .top.ribbon .right a:focus {
    color: var(--color-text);
    line-height: 2.7rem;
}

.top.ribbon .right {
    position: relative;
    display: flex;
    gap: 2rem;
    justify-content: flex-end;
    margin-bottom: -2rem;
    right: -3rem;
}

.top.ribbon .left p {
    line-height: 1.7;
}

.minicart-wrapper {
    margin-top: 20px;
}

@media only screen and (min-width: 768px) {

    .top.ribbon {
        flex-direction: row;
        justify-content: space-between;
        align-items: unset;
        margin-bottom: -2rem;
    }

}


/* Success */

.checkout-onepage-success .top-container {
    border-bottom: 1px solid var(--color-mid-gray);
}

.card.hp-top-banner {
    margin: 0rem auto 2rem;
}

/* CMS */

.cms-page-view h1 {
    font-weight: var(--font-weight-bold);
    color: var(--color-font);
}

.cms-page-view .breadcrumbs {
    margin-top: 2rem;
}

/* What to expect */

.expect ul {
    margin-left: 1rem;
}

.modal-popup.expect .modal-header {
    padding-left: 3rem;
}

.modal-popup.expect .modal-header h1 {
    color: var(--color-text)
}

.modal-popup.expect .modal-header a.modal:hover {
    cursor: pointer;
}

@media only screen and (min-width: 768px) {

    aside.modal-popup.expect.modal-slide._inner-scroll._show {
        max-width: 90%;
        width: 80rem;
        margin: auto;
    }

}

/* Product page */

span.page-discount.discount:after {
    content: ' with the Mass Save Incentive';
}

/* Checkout shipping */

.checkout-shipping-method .step-title {
    margin-bottom: 2rem;
}

td#label_carrier_bestway_tablerate,
td#label_carrier_flatrate_flatrate,
td#label_carrier_freeshipping_freeshipping {
    font-weight: var(--font-weight-bold);
}

.table-checkout-shipping-method {
    width: 100%;
}

td.col.col-custom {
    padding: 0 0 2rem 0;
    border-bottom: 1px solid var(--color-mid-gray);
}

.row-custom:last-child td.col.col-custom {
    border: unset;
    padding: 0;
}

.table-checkout-shipping-method tbody td {
    border-top: unset;
}

.shipping-overview {
    border-bottom: 1px solid var(--color-mid-gray);
    padding-bottom: 2rem;
}

.shipping-installtion.green .shipping-method-subheader {
    font-weight: var(--font-weight-bold);
    padding-bottom: 1rem;
    display: block;
}

.shipping-installtion.green  ul {
    margin-left: 1rem;
    list-style: disc;
}

div#shipping-method-buttons-container {
    margin-top: 2rem;
}

.ri-col-price-flatrate_flatrate span.price {
    display: none;
}

.checkout-index-index .amdelivery-main-container {
    margin-top: 0;
}
